package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.text.DecimalFormat;
import java.util.*;
import java.util.function.BiFunction;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST5_WK_REC {
    public @Getter @Setter int WK_KIKN;
    public @Getter @Builder.Default String WK_KIKN = StringUtils.repeat(' ', 6);
    private final static BiFunction<Long, String, String> intFormatWithoutSign = (
            value, format) -> {
        DecimalFormat nf = new DecimalFormat();
        nf.setNegativePrefix("");
        nf.applyPattern(format);
        return nf.format(value);
    };

    public String getStringWK_KIKN() {
        return intFormatWithoutSign.apply((long) WK_KIKN, "00000");
    }

    public void setWK_KIKN(String source) {
        WK_KIKN = StringUtils.truncate(StringUtils.rightPad(source, 6), 6);
    }

    @Override
    public String toString() {
        return getStringWK_KIKN() + getWK_KIKN();
    }
}
